Subject: Re: [RFC PATCH 2/3] objtool: Enable and implement 'mcount' subcommand

From: "Naveen N. Rao" <[email-masked]>
Date: Mon, 21 Mar 2022 15:18:47 +0530

Christophe Leroy wrote:
> 
> 
> Le 21/03/2022 à 09:19, Naveen N. Rao a écrit :
>> Christophe Leroy wrote:
>> 
>> We don't enable ftrace for vdso, so I suspect objtool run above will be 
>> a no-op. This needs to be confirmed, of course.
>> 
> 
> I just checked without the series: recordmcount isn't run for VDSO, so 
> objtool shouldn't be run either when the series is applied.

Agree. I was only pointing out that it would be harmless, but it is good 
to ensure objtool is skipped for files/directories where ftrace isn't 
enabled. recordmcount keys off the presence of CC_FLAGS_FTRACE, and we 
should do the same for 'objtool --mcount'.

- Naveen